{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ACAD_CODE_BAC"; 
            externalType = VARCHAR2; 
            name = acadCodeBac; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = "BAC_CODE"; 
            externalType = VARCHAR2; 
            name = bacCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_DEPARTEMENT_ETAB_BAC"; 
            externalType = VARCHAR2; 
            name = cDepartementEtabBac; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_DEPARTEMENT_PARENT"; 
            externalType = VARCHAR2; 
            name = cDepartementParent; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = "C_PAYS_ETAB_BAC"; 
            externalType = VARCHAR2; 
            name = cPaysEtabBac; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CAND_NUMERO"; 
            externalType = NUMBER; 
            name = candNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETAB_CODE_BAC"; 
            externalType = VARCHAR2; 
            name = etabCodeBac; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETAB_CODE_SUP"; 
            externalType = VARCHAR2; 
            name = etabCodeSup; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETUD_ANBAC"; 
            externalType = NUMBER; 
            name = etudAnbac; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETUD_CODE_INE"; 
            externalType = VARCHAR2; 
            name = etudCodeIne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "ETUD_NUMERO"; 
            externalType = NUMBER; 
            name = etudNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETUD_REIMMATRICULATION"; 
            externalType = VARCHAR2; 
            name = etudReimmatriculation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "ETUD_SITFAM"; 
            externalType = NUMBER; 
            name = etudSitfam; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETUD_SN_ATTESTATION"; 
            externalType = NUMBER; 
            name = etudSnAttestation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETUD_SN_CERTIFICATION"; 
            externalType = NUMBER; 
            name = etudSnCertification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ETUD_SPORT_HN"; 
            externalType = NUMBER; 
            name = etudSportHn; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETUD_VILLE_BAC"; 
            externalType = VARCHAR2; 
            name = etudVilleBac; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MENT_CODE"; 
            externalType = VARCHAR2; 
            name = mentCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_INDIVIDU"; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PRE_TYPE"; 
            externalType = VARCHAR2; 
            name = preType; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PRO_CODE"; 
            externalType = VARCHAR2; 
            name = proCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = "THEB_CODE"; 
            externalType = VARCHAR2; 
            name = thebCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETUD_ANNEE_1INSC_SUP"; 
            externalType = NUMBER; 
            name = etudAnnee1InscSup; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETUD_ANNEE_1INSC_ULR"; 
            externalType = NUMBER; 
            name = etudAnnee1InscUlr; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETUD_ANNEE_1INSC_UNIV"; 
            externalType = NUMBER; 
            name = etudAnnee1InscUniv; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CPT_CHARTE"; 
            externalType = VARCHAR2; 
            name = cptCharte; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PRO_CODE2"; 
            externalType = VARCHAR2; 
            name = proCode2; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }
    ); 
    attributesUsedForLocking = (
        acadCodeBac, 
        bacCode, 
        cDepartementEtabBac, 
        cDepartementParent, 
        cPaysEtabBac, 
        candNumero, 
        dCreation, 
        dModification, 
        etabCodeBac, 
        etabCodeSup, 
        etudAnbac, 
        etudCodeIne, 
        etudNumero, 
        etudReimmatriculation, 
        etudSitfam, 
        etudSnAttestation, 
        etudSnCertification, 
        etudSportHn, 
        etudVilleBac, 
        mentCode, 
        noIndividu, 
        preType, 
        proCode, 
        thebCode, 
        etudAnnee1InscSup, 
        etudAnnee1InscUlr, 
        etudAnnee1InscUniv, 
        cptCharte, 
        proCode2
    ); 
    className = "org.cocktail.scolarix.serveur.metier.eos.EOPreEtudiant"; 
    classProperties = (
        candNumero, 
        dCreation, 
        dModification, 
        etudAnbac, 
        etudCodeIne, 
        etudNumero, 
        etudReimmatriculation, 
        etudSnAttestation, 
        etudSnCertification, 
        etudSportHn, 
        etudVilleBac, 
        preType, 
        etudAnnee1InscSup, 
        etudAnnee1InscUlr, 
        etudAnnee1InscUniv, 
        cptCharte, 
        "toFwkpers_Pays_EtabBac", 
        "toFwkpers_Departement_EtabBac", 
        "toFwkpers_Departement_Parent", 
        "toFwkpers_Academie", 
        toBac, 
        toMentionBac, 
        toPreHistoriques, 
        toPreIndividu, 
        toProfession, 
        toRdvPreEtudiant, 
        toRneCodeBac, 
        toRneCodeSup, 
        toSitFamEtudiant, 
        toTypeHebergement, 
        toProfession2
    ); 
    externalName = "GARNUCHE.PRE_ETUDIANT"; 
    internalInfo = {
        "_clientClassPropertyNames" = (toProfession, toProfession2, toRneCodeBac, toRneCodeSup, toTypeHebergement); 
        "_javaClientClassName" = "org.cocktail.scolarix.client.metier.eos.EOPreEtudiant"; 
    }; 
    name = "FwkScolarix_PreEtudiant"; 
    primaryKeyAttributes = (etudNumero); 
    relationships = (
        {
            destination = "FwkScolarix_Bac"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = bacCode; sourceAttribute = bacCode; }); 
            name = toBac; 
        }, 
        {
            destination = "Fwkpers_Academie"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cAcademie; sourceAttribute = acadCodeBac; }); 
            name = "toFwkpers_Academie"; 
        }, 
        {
            destination = "Fwkpers_Departement"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = cDepartement; sourceAttribute = cDepartementEtabBac; }
            ); 
            name = "toFwkpers_Departement_EtabBac"; 
        }, 
        {
            destination = "Fwkpers_Departement"; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cDepartement; sourceAttribute = cDepartementParent; }); 
            name = "toFwkpers_Departement_Parent"; 
        }, 
        {
            destination = "Fwkpers_Pays"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cPays; sourceAttribute = cPaysEtabBac; }); 
            name = "toFwkpers_Pays_EtabBac"; 
        }, 
        {
            destination = "FwkScolarix_Mention"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mentCode; sourceAttribute = mentCode; }); 
            name = toMentionBac; 
        }, 
        {
            destination = "FwkScolarix_PreHistorique"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etudNumero; sourceAttribute = etudNumero; }); 
            name = toPreHistoriques; 
        }, 
        {
            destination = "FwkScolarix_PreIndividu"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toPreIndividu; 
        }, 
        {
            destination = "FwkScolarix_Profession"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = proCode; sourceAttribute = proCode; }); 
            name = toProfession; 
        }, 
        {
            destination = "FwkScolarix_Profession"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = proCode; sourceAttribute = proCode2; }); 
            name = toProfession2; 
        }, 
        {
            destination = "FwkScolarix_RdvCandidat"; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = codInd; sourceAttribute = noIndividu; }); 
            name = toRdvPreEtudiant; 
        }, 
        {
            destination = "FwkScolarix_Rne"; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = etabCodeBac; }); 
            name = toRneCodeBac; 
        }, 
        {
            destination = "FwkScolarix_Rne"; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = etabCodeSup; }); 
            name = toRneCodeSup; 
        }, 
        {
            destination = "FwkScolarix_SitFamEtudiant"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etudSitfam; sourceAttribute = etudSitfam; }); 
            name = toSitFamEtudiant; 
        }, 
        {
            destination = "FwkScolarix_TypeHebergement"; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = thebCode; sourceAttribute = thebCode; }); 
            name = toTypeHebergement; 
        }
    ); 
}
